Loading...
Searching...
No Matches
lagrangedgbasis.hh File Reference
`#include <dune/common/exceptions.hh>`
`#include <dune/common/math.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/lagrangebasis.hh>`
`#include <dune/functions/functionspacebases/leafprebasismappermixin.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::LagrangeDGPreBasis< GV, k, R >
| PreBasis implementation for a Lagrangean-DG finite element space. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV, int k, typename R = double>
using | Dune::Functions::LagrangeDGNode = LagrangeNode<GV, k, R>
template<typename GV, int k = -1, typename R = double>
using | Dune::Functions::LagrangeDGBasis = DefaultGlobalBasis<LagrangeDGPreBasis<GV, k, R> >
| Basis of a scalar k-th-order Lagrangean-DG finite element space.

## Functions

template<std::size_t order, typename R = double>
auto | Dune::Functions::BasisFactory::lagrangeDG ()
| Create a pre-basis factory that can create a LagrangeDG pre-basis.
template<typename R = double>
auto | Dune::Functions::BasisFactory::lagrangeDG (unsigned int order)
| Create a pre-basis factory that can create a LagrangeDG pre-basis.